<?php



include_once "../dbconection.php";

include_once "../funciones.php";



if($_REQUEST['method']=="insertar"){ 

	$sJSON = "";	

	$bInsertar = true;



	//$intId = $_REQUEST['intId'];

	$strTabla = "tblcitas";

	$intEmpresa = $_REQUEST['intEmpresa'];

	$intCliente = $_REQUEST['intCliente'];

	$datFecha = $_REQUEST['datFecha'];

	$intUsuario = $_REQUEST['intUsuario'];

	

	if($_REQUEST['intMode']==1){

		

		//$sqlQuery = "DELETE FROM ". $strTabla ." WHERE datFecha = '". $datFecha ."' AND intCliente = ". $intCliente;

		//mysql_query($sqlQuery);

	

		$i=0;

		

		if($bInsertar){

				

			$sqlQuery = "INSERT INTO ". $strTabla ." (intEmpresa, intCliente, datFecha, intUsuario) 

			VALUES (". $intEmpresa .",". $intCliente .",'". $datFecha ."',". $intUsuario .")";

			//exit($sqlQuery);

			

			/*mysql_query($sqlQuery);

			$lastId = mysql_insert_id();

			$numRowsAffected = mysql_affected_rows();

			*/



			$queryResult = $mysqli->query($sqlQuery);

			//$totalRows = mysqli_num_rows($queryResult);

			// $mysqli->insert_id;

			$numRowsAffected = $mysqli->affected_rows;

			

			if($numRowsAffected>0){

				$exito = "si";

				$strMsg = "Cita guardada con éxito.";

			}else{

				$exito = "no";

				$strMsg = "No se pudo guardar la cita guardada, favor de intentarlo nuevamente.";

			}

			

		}

		

		$sJSON .= '{"exito":"'.$exito.'", "msg":"'. $strMsg .'"}';

		

		exit($sJSON);

	

	}



}else if($_REQUEST['method']=="consultar"){

	$sJSON = "";



	$intEmpresa = $_REQUEST['intEmpresa'];

		

	if($_REQUEST['method2']=="getmes"){ //GET CALENDARIO

		$datFecha1 = $_REQUEST['datFecha1'];

		$datFecha2 = $_REQUEST['datFecha2'];

		

		$sqlQuery = "SELECT distinct t1.datFecha, t1.intCliente, 

		(SELECT CONCAT(strNombres, ' ', strApellidos) FROM tblclientes2 t2 WHERE t1.intCliente=t2.intCliente) as strCliente  

		FROM tblcitas t1";



		$sqlQuery .= " WHERE t1.intEmpresa = ". $intEmpresa;

		

		if($datFecha1==$datFecha2){

			$arrFecha = explode("-",$datFecha1);

			$anio = $arrFecha[0];

			$mes = $arrFecha[1];

			$dia = $arrFecha[2];

			$sqlQuery .= " AND YEAR(t1.datFecha)='". $anio ."' AND MONTH(t1.datFecha)='". $mes ."' AND DAY(t1.datFecha)='". $dia ."'";

		}else{

			$sqlQuery .= " AND t1.datFecha BETWEEN '". $datFecha1 ."' AND '". $datFecha2 ."'";

		}



		$sqlQuery .= " ORDER BY t1.datFecha ASC";

	

	}

	

	//exit($sqlQuery);

	$sXMLContenido = "";

	

	$queryResult = $mysqli->query($sqlQuery);

	$totalRows = $queryResult->num_rows;



	$sJSON = '{"Items":[';

	if($totalRows!=false){

		while ($row = mysqli_fetch_array($queryResult)) {

	

			$sJSON .= "{";

				/*if($_REQUEST['method2']=="getdia"){

					

					$sJSON .= '"intId":"'.$row['intId'].'"';

					$sJSON .= ',"datFecha":"'.$row['datFecha'].'"';

					$sJSON .= ',"intCliente":"'.$row['intCliente'].'"';

					$sJSON .= ',"strCliente":"'.$row['strCliente'].'"';

					$sJSON .= ',"datFechaAlta":"'.$row['datFechaAlta'].'"';

					

				}else if($_REQUEST['method2']=="getmes"){

				*/	

					//$sJSON .= '"id":"'.$totalRows.'"';

					$sJSON .= '"id":"'.$row['intCliente'].'"';

					if($row['strCliente']!=""){

						$sJSON .= ',"title":"'.$row['strCliente'].'"';

					}else{

						$sJSON .= ',"title":"Cita"';

					}

					$sJSON .= ',"start":"'.$row['datFecha'].'"';

					//2019-10-09 09:30:00

					$strFecha = $row['datFecha'];



					$arrFecha = explode(" ", $strFecha);

					$strHora = $arrFecha[1];

					$arrHora = explode(":", $strHora);

					

					if(1==1){

						$hora = intval($arrHora[0])+1;

						$strEnd = $arrFecha[0] ." ". $hora .":". $arrHora[1] .":00";

					}else{

						$hora = intval($arrHora[1])+29;

						$strEnd = $arrFecha[0] ." ". $arrHora[0] .":". $hora .":00";

					}



					$sJSON .= ',"end":"'. $strEnd .'"';

					//$sJSON .= ',"color":"#D51C0D"';

					$sJSON .= ',"color":"#159806"';



				/*}else if($_REQUEST['method2']=="getweek"){

					$sJSON .= '"id":"'.$totalRows.'"';

					$sJSON .= ',"bitRealizada":"'.$row['bitRealizada'].'"';

					$sJSON .= ',"intCuantas":"'.$row['intCuantas'].'"';

	

				}*/



			$sJSON .= "},";		

	

			//$totalRows++;

	

		}

	}

	

	if($totalRows>0){

		$sJSON = substr($sJSON, 0, -1);

	}

	$sJSON .= "]}";

	

	print($sJSON);

	

}else if($_REQUEST['method']=="copiar"){

	

	$intCliente = $_REQUEST['intCliente'];

	$intInstructor = $_REQUEST['intInstructor'];

	$datFecha1 = $_REQUEST['datFecha1'];

	$datFecha2 = $_REQUEST['datFecha2'];

	

	//$sJsonDecode = getPeriodoActivo($intCliente);

	$sJsonDecode = getPeriodo($intCliente, $datFecha2);

	$objJson = json_decode($sJsonDecode);

	$estaLiberadoIns = $objJson->{'datFechaLiberadoIns'}==="" ? false : true; 



	if($estaLiberadoIns){

		/*$datFechaLiberado = $row['datFechaLiberado'];

		$datFechaLiberado = is_null($datFechaLiberado) ? "NULL" : "'$datFechaLiberado'";

		$datFechaLiberadoAdmin = $row['datFechaLiberadoAdmin'];

		$datFechaLiberadoAdmin = is_null($datFechaLiberadoAdmin) ? "NULL" : "'$datFechaLiberadoAdmin'";*/

		

		$datFechaLiberado = "CURRENT_TIMESTAMP";

		$datFechaLiberadoAdmin = "CURRENT_TIMESTAMP";

	}else{

		$datFechaLiberado = "NULL";

		$datFechaLiberadoAdmin = "NULL";

	}



	$sJSON = "exito";

	

	$sqlQuery = "DELETE FROM tblrutinas WHERE datFecha = '". $datFecha2 ."' AND intCliente = ". $intCliente;

	mysql_query($sqlQuery);



	$sqlQuery = "SELECT * FROM tblrutinas WHERE datFecha = '". $datFecha1 ."' AND intCliente = ". $intCliente ." ORDER BY intId ASC";	

	$queryResult = mysql_query($sqlQuery);	

	$sXMLContenido = "";

	$totalRows = 0;

	

	while ($row = mysql_fetch_array($queryResult)) {



		$intSeries = $row['intSeries'];

		$intSeries = is_null($intSeries) ? "NULL" : "'$intSeries'";

		$intPeso = $row['intPeso'];

		$intPeso = is_null($intPeso) ? "NULL" : "'$intPeso'";

					

		$sqlQuery = "INSERT INTO tblrutinas  (intCliente, intInstructor, datFecha, strNombreRutina, strHoraRutina, intEjercicio, intDiferencial, 

		intTipoEje, strTipo, strColor, intPeso, intSeries, strPor, strRepeticiones, strDescanso, strDuracion, strResistencia, strTipo2,

		 datFechaLiberado, datFechaLiberadoAdmin, datFechaAlta) 

		VALUES (". $intCliente .",". $intInstructor .",'". $datFecha2 ."','". $row['strNombreRutina'] ."','". $row['strHoraRutina'] ."',". $row['intEjercicio'] .",". $row['intDiferencial'] .",". 

		$row['intTipoEje'] .",'". $row['strTipo'] ."','". $row['strColor'] ."',". $intPeso .",". $intSeries .",'". $row['strPor'] ."','". $row['strRepeticiones'] ."','". $row['strDescanso'] ."','". $row['strDuracion'] ."','". $row['strResistencia'] ."','". $row['strTipo2'] ."',

		". $datFechaLiberado .",". $datFechaLiberadoAdmin .", CURRENT_TIMESTAMP)";

		

		//$sJSON .= $sqlQuery . " <hr/>";

		

		mysql_query($sqlQuery);



		$totalRows++;



	}



	//exit($sJSON);



	//***   COPIAR DETALLE PIRAMIDE / DROPSET ***//

	$sqlQuery = "DELETE FROM tblrutinasdetalle WHERE datFecha = '". $datFecha2 ."' AND intCliente = ". $intCliente;

	mysql_query($sqlQuery);



	$sqlQuery = "SELECT * FROM tblrutinasdetalle WHERE datFecha = '". $datFecha1 ."' AND intCliente = ". $intCliente ." ORDER BY intId ASC";	

	$queryResult = mysql_query($sqlQuery);	

	$sXMLContenido = "";

	$totalRows = 0;

	

	//$sJSON = "";

	while ($row = mysql_fetch_array($queryResult)) {



		$sqlQuery = "INSERT INTO tblrutinasdetalle  (intCliente, datFecha, intEjercicio, intDiferencial, intSeries, intPeso, strRepeticiones, strDescanso, datFechaAlta) 

		VALUES (". $intCliente .",'". $datFecha2 ."',". $row['intEjercicio'] .",". $row['intDiferencial'] .",". $row['intSeries'] .",". $row['intPeso'] .",'". $row['strRepeticiones'] ."','". $row['strDescanso'] ."', CURRENT_TIMESTAMP)";

		

		//$sJSON .= $sqlQuery;

		

		mysql_query($sqlQuery);



		$totalRows++;



	}

	

	print($sJSON);

	

}else if($_REQUEST['method']=="validarborrar"){

	

	$intCliente = $_REQUEST['intCliente'];

	$intInstructor = $_REQUEST['intInstructor'];

	$datFecha = $_REQUEST['datFecha'];

	

	$sqlQuery0 = "SELECT datFechaLiberado FROM tblrutinas WHERE datFechaLiberado is NULL AND datFecha = '". $datFecha ."' AND intCliente = ". $intCliente;

	$queryResult0 = mysql_query($sqlQuery0);

	$totalRows0 = mysql_num_rows ( $queryResult0 );

	if($totalRows0>0){		

		$sJSON = '{"exito":"si"}';

	}else{

		$sJSON = '{"exito":"no","msg":"La rutina ya está liberada y no se puede borrar."}';

	}

		

	print($sJSON);



}else if($_REQUEST['method']=="borrar"){

	

	$intCliente = $_REQUEST['intCliente'];

	$intInstructor = $_REQUEST['intInstructor'];

	$datFecha = $_REQUEST['datFecha'];

	

	$sqlQuery = "DELETE FROM tblrutinas WHERE datFecha = '". $datFecha ."' AND intCliente = ". $intCliente;	

	$queryResult = mysql_query($sqlQuery);	

	$affectedRows = mysql_affected_rows();

	

	$bBorroRutina = false;

	

	if($affectedRows>0){

		$bBorroRutina = true;

		$sJSON = '{"exito":"si","msg":"Se ha borrado con éxito la rutina. "}';

	}else{

		$sJSON = '{"exito":"no","msg":"No se ha podido borrar la rutina."}';

	}



	$sqlQuery = "DELETE FROM tblrutinasdetalle WHERE datFecha = '". $datFecha ."' AND intCliente = ". $intCliente;	

	$queryResult = mysql_query($sqlQuery);	

	$affectedRows = mysql_affected_rows();

	if($affectedRows>0){	

		$sJSON = '{"exito":"si","msg":"Se ha borrado con éxito la rutina. "}';

	}else{

		if(!$bBorroRutina){

			$sJSON = '{"exito":"no","msg":"No se ha podido borrar el detalle de la rutina."}';

		}

	}

	

	print($sJSON);

	

}else if($_REQUEST['method']=="actualizar"){

	

	$intId = $_REQUEST['intId'];

	$bitRealizada = $_REQUEST['bitRealizada'];

	

	$sqlQuery = "UPDATE tblrutinas SET bitRealizada = ". $bitRealizada ." WHERE intId = ". $intId ;

	

	$sJSON = "exito";

	

	$queryResult = mysql_query($sqlQuery);	

	

	print($sJSON);

	

}else if($_REQUEST['method']=="eliminar"){ //RUTINAS PROPIAS

	

	$strNombreRutina = $_REQUEST['strNombreRutina'];

	$intNivel = $_REQUEST['intNivel'];

	$intInstructor = $_REQUEST['intInstructor'];



	$sqlQuery = "DELETE FROM tblrutinaspropias WHERE strNombreRutina = '". $strNombreRutina ."' AND intNivel = '". $intNivel ."' AND intInstructor = ". $intInstructor;	

	$queryResult = mysql_query($sqlQuery);	

	$affectedRows = mysql_affected_rows();

	

	$bBorroRutina = false;

	

	if($affectedRows>0){

		$bBorroRutina = true;

		$sJSON = '{"exito":"si","msg":"Se ha borrado con éxito la rutina. "}';

	}else{

		$sJSON = '{"exito":"no","msg":"No se ha podido borrar la rutina."}';

	}



	$sqlQuery = "DELETE FROM tblrutinaspropiasdetalle WHERE strNombreRutina = '". $strNombreRutina ."' AND intNivel = '". $intNivel ."' AND intInstructor = ". $intInstructor;	

	$queryResult = mysql_query($sqlQuery);	

	$affectedRows = mysql_affected_rows();

	if($affectedRows>0){	

		$sJSON = '{"exito":"si","msg":"Se ha borrado con éxito la rutina. "}';

	}else{

		if(!$bBorroRutina){

			$sJSON = '{"exito":"no","msg":"No se ha podido borrar el detalle de la rutina."}';

		}

	}

	

	print($sJSON);

	

}else if($_REQUEST['method']=="validarinsertar"){ //RUTINAS PROPIAS

	

	$strNombreRutina = $_REQUEST['strNombreRutina'];

	$intNivel = $_REQUEST['intNivel'];

	$intInstructor = $_REQUEST['intInstructor'];



	$sqlQuery = "SELECT * FROM tblrutinaspropias WHERE strNombreRutina = '". $strNombreRutina ."' AND intNivel = '". $intNivel ."' AND intInstructor = ". $intInstructor;	

	$queryResult = mysql_query($sqlQuery);	

	$totalRows = mysql_num_rows($queryResult);

	

	if($totalRows>0){

		$sJSON = '{"existe":"si","msg":"Existe la rutina. "}';

	}else{

		$sJSON = '{"existe":"no","msg":"No existe la rutina."}';

	}

	

	print($sJSON);

	

}





?>